scsi_get_sense_info_fld
Prev | drivers/scsi/scsi_error.c | Next

## Name

scsi_get_sense_info_fld — get information field from sense data (either fixed or descriptor format)

## Synopsis

`int scsi_get_sense_info_fld (` | const u8 * | sense_buffer,
| int | sb_len,
| u64 * | info_out`)`;

## Arguments

`sense_buffer`

  byte array of sense data

`sb_len`

  number of valid bytes in sense_buffer

`info_out`

  pointer to 64 integer where 8 or 4 byte information field will be placed if found.

## Return value

1 if information field found, 0 if not found.

Prev | Up | Next
scsi_sense_desc_find | Home | scsi_dev_info_list_add